export function isCardNo(card) {
	// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X 
	var reg =
		/(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}$)/;
	if (reg.test(card) === false) {
		console.log(card);
		return false;

	}
	return true
}

// 名字中间用*
export function formatName(name) {
	let newStr;
	if (name.length === 2) {
		newStr = name.substr(0, 1) + '*';
	} else if (name.length > 2) {
		let charr = '';
		for (let i = 0, len = name.length - 7; i < len; i++) {
			charr += '*';
		}
		newStr = name.substr(0, 3) + charr + name.substr(-3, 3);
	} else {
		newStr = name;
	}

	return newStr;
}

export function getMoneyStyle(value = 0) {
	if (typeof value == 'string') {
		value = (+value).toFixed(2)
	}
	if (typeof value == 'number') {
		value = value.toFixed(2)
	}
	// 将字符串转为数组
	let n = value.split("");
	// 反转数组并复制循环处理
	let arr = n.reverse().map(function(e, ind, ar) {
		// 判断当前下标是否为3的整数倍数且不为最后一个下标
		if (ind % 3 == 0 && ind / 3 > 1 && ind != ar.length) {
			return e + ','
		} else {
			return e
		}
	})
	// 反转数组回复原来排序并合并回字符串
	arr = arr.reverse().join('')
	return arr;
}
// 倒计时计算
// 计算倒计时时间
export function timeComputed(time) {
	// 获取当前时间
	let actTime = (new Date()).getTime();
	// 获取到期时间
	let stopTime = time - actTime;
	let daytime = Math.floor(stopTime / 24 / 3600 / 1000)
	// 判断是否小于0
	if (stopTime < 0) {
		stopTime = stopTime * -1
	}
	let day = daytime; //获取剩余小时数
	let hours = Math.floor((stopTime / 1000 / 60 / 60) % 24); //获取剩余小时数
	let minutes = Math.floor((stopTime / 1000 / 60) % 60); //获取分钟
	let seconds = Math.floor((stopTime / 1000) % 60); //获取秒数
	return {
		day, //倒计时天数
		hours, //倒计时小时数
		minutes, //倒计时分钟数
		seconds //倒计时秒数
	}
}

export function getnewTime() {
	let date = new Date();
	let year = date.getFullYear(); // 年
	let month = date.getMonth() + 1; // 月
	let day = date.getDate(); // 日
	if (month < 10) {
		month = '0' + month
	}
	if (day < 10) {
		day = '0' + day
	}
	let str = year + '.' + month + '.' + day
	return str;
}
